<form nz-form [formGroup]="form">
  <div nz-row [nzGutter]="[30,30]">
    <div nz-col nzXs="24" nzLg="12" class='select__employee'>
      <employee-data-picker
        [mbCanText]="true"
        [mbType]="isSubmitted && form.controls['employee'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && form.controls['employee'].errors !== null"
        [mbErrors]="form.controls['employee'].errors"
        [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'personalTax.validate.required' | translate: {'param': 'personalTax.label.employeeSelect' | translate}}]"
        formControlName="employee"
        (ngModelChange)='selectEmp($event)'
        (selectedChange)="onEmployeeChange($event)"
        mbLabelText="{{'personalTax.label.employeeSelect' | translate}} <span class='label__required'>*</span>"
        [isCheckEmployeeHasTaxNumber]="isCheckEmployeeHasTaxNumber"
        [isCheckEmployeeNotHaveTaxNumber]="isCheckEmployeeNotHaveTaxNumber"
        status="WORKING"
        [functionCode]="functionCode"
        [scope]="scope"
      >
      </employee-data-picker>
    </div>
  </div>
  <div nz-row [nzGutter]="[30,30]" *ngIf='personalInfo'>
    <div  nz-col nzXs="8" nzLg="6">
      <mb-text-label mbLabelText="{{'personalTax.personalInfo.dateOfBirth' | translate}}" [mbLabelValue]="personalInfo?.dateOfBirth"></mb-text-label>
    </div>
    <div  nz-col nzXs="8" nzLg="6">
      <mb-text-label mbLabelText="{{'personalTax.personalInfo.genderName' | translate}}" [mbLabelValue]="personalInfo?.genderName"></mb-text-label>
    </div>
    <div  nz-col nzXs="8" nzLg="6">
      <mb-text-label mbLabelText="{{'personalTax.personalInfo.nationName' | translate}}" [mbLabelValue]="personalInfo?.nationName"></mb-text-label>
    </div>
    <div  nz-col nzXs="8" nzLg="6">
      <mb-text-label mbLabelText="{{'personalTax.personalInfo.empTypeName' | translate}}" [mbLabelValue]="personalInfo?.empTypeName"></mb-text-label>
    </div>
    <div  nz-col nzXs="8" nzLg="6">
      <mb-text-label mbLabelText="{{'personalTax.personalInfo.joinCompanyDate' | translate}}" [mbLabelValue]="personalInfo?.joinCompanyDate"></mb-text-label>
    </div>
    <div  nz-col nzXs="8" nzLg="6">
      <mb-text-label mbLabelText="{{'personalTax.personalInfo.jobName' | translate}}" [mbLabelValue]="personalInfo?.jobName"></mb-text-label>
    </div>
    <div  nz-col nzXs="8" nzLg="6">
      <mb-text-label mbLabelText="{{'personalTax.personalInfo.orgName' | translate}}" [mbLabelValue]="personalInfo?.orgName"></mb-text-label>
    </div>
    <div  nz-col nzXs="8" nzLg="6" class="taxNumber--wrap" *ngIf='isShowTaxNo'>
      <mb-text-label mbLabelText="{{'personalTax.personalInfo.taxNo' | translate}}" [mbLabelValue]="personalInfo?.taxNo"></mb-text-label>
    </div>
    <div  nz-col nzXs="24" nzLg="6" *ngIf="isShowTaxNo">
      <mb-text-label mbLabelText="{{'personalTax.personalInfo.taxPlace' | translate}}" [mbLabelValue]="personalInfo?.taxPlace"></mb-text-label>
    </div>
  </div>
</form>
